onEvent('recipes', event =>{
    //Apple Vinegar
    event.recipes.createMixing(Fluid.of('kubejs:apple_vinegar',1000), [
        '2x minecraft:sugar',
        '2x minecraft:apple',
        (Fluid.of('minecraft:water',1000))
        ]).heated()
    //Copper Oxide
    event.recipes.createMixing(Fluid.of('kubejs:copper_oxide',1000), [
        'mekanism:salt',
        '2x #forge:dusts/copper',
        (Fluid.of('kubejs:apple_vinegar',1000))
        ]).superheated()
    
    //Ingot to Dust
    event.recipes.createCrushing(['#forge:dusts/copper'],'#forge:ingots/copper')

    //Sand Cast
    event.recipes.createCompacting(['kubejs:drill_sand_cast','kubejs:drill_head_mold'],['kubejs:drill_head_mold','tconstruct:blank_sand_cast'])

    //Red Sand Cast
    event.recipes.createCompacting(['kubejs:drill_red_sand_cast','kubejs:drill_head_mold'],['kubejs:drill_head_mold','tconstruct:blank_red_sand_cast'])	

    //Frame Bottom
    event.recipes.createCompacting('kubejs:frame_bottom',['5x #forge:ingots/invar']).heated()

    //Frame Top
    event.recipes.createCompacting('kubejs:frame_top',['5x #forge:ingots/aluminum']).heated()

    //Sequenced Assembly
    //Unobtainium Drillhead-Sand Cast
    event.recipes.createSequencedAssembly([
        Item.of('kubejs:unobtainium_drillhead').withChance(100.0)], 'kubejs:drill_sand_cast', [
            event.recipes.createFilling('kubejs:incomplete_unobtanium_drill_sand_cast', ['kubejs:incomplete_unobtanium_drill_sand_cast',Fluid.of('allthemodium:molten_unobtainium', 1000)]),
            event.recipes.createPressing('kubejs:incomplete_unobtanium_drill_sand_cast', 'kubejs:incomplete_unobtanium_drill_sand_cast')])
            .transitionalItem('kubejs:incomplete_unobtanium_drill_sand_cast').loops(6)

    //Unobtainium Drillhead-Sand Cast
    event.recipes.createSequencedAssembly([
        Item.of('kubejs:unobtainium_drillhead').withChance(100.0)], 'kubejs:drill_red_sand_cast', [
            event.recipes.createFilling('kubejs:incomplete_unobtanium_drill_red_sand_cast', ['kubejs:incomplete_unobtanium_drill_red_sand_cast',Fluid.of('allthemodium:molten_unobtainium', 1000)]),
            event.recipes.createPressing('kubejs:incomplete_unobtanium_drill_red_sand_cast', 'kubejs:incomplete_unobtanium_drill_red_sand_cast')])
            .transitionalItem('kubejs:incomplete_unobtanium_drill_red_sand_cast').loops(6)

    //Steel Drillhead
    event.recipes.createSequencedAssembly([
        Item.of('createautomated:drill_head').withChance(100.0)], 'kubejs:drill_red_sand_cast', [
            event.recipes.createFilling('kubejs:incomplete_steel_drill_red_sand_cast', ['kubejs:incomplete_steel_drill_red_sand_cast',Fluid.of('tconstruct:molten_steel', 1000)]),
            event.recipes.createPressing('kubejs:incomplete_steel_drill_red_sand_cast', 'kubejs:incomplete_steel_drill_red_sand_cast')])
            .transitionalItem('kubejs:incomplete_steel_drill_red_sand_cast').loops(6)

    event.recipes.createSequencedAssembly([
        Item.of('createautomated:drill_head').withChance(100.0)], 'kubejs:drill_sand_cast', [
            event.recipes.createFilling('kubejs:incomplete_steel_drill_sand_cast', ['kubejs:incomplete_steel_drill_sand_cast',Fluid.of('tconstruct:molten_steel', 1000)]),
            event.recipes.createPressing('kubejs:incomplete_steel_drill_sand_cast', 'kubejs:incomplete_steel_drill_sand_cast')])
            .transitionalItem('kubejs:incomplete_steel_drill_sand_cast').loops(6)

    //Frame Filled Core
    event.recipes.createSequencedAssembly([
        Item.of('kubejs:filled_frame_core').withChance(100.0)
    ], 'kubejs:frame_core', [
        event.recipes.createFilling('kubejs:frame_core', ['kubejs:frame_core', Fluid.of('kubejs:copper_oxide', 1000)]),
    ]).transitionalItem('kubejs:filled_frame_core').loops(1)

    //Same-Assembled Frame
    event.recipes.createSequencedAssembly([
        Item.of('kubejs:semi_assembled_frame').withChance(100.0)
    ], 'kubejs:filled_frame_core', [
        event.recipes.createDeploying('kubejs:filled_frame_core', ['kubejs:filled_frame_core', 'kubejs:frame_bottom']),
    ]).transitionalItem('kubejs:semi_assembled_frame').loops(1)

    //Machine Frame
    event.recipes.createSequencedAssembly([
        Item.of('kubejs:assembled_frame').withChance(100.0)
    ], 'kubejs:semi_assembled_frame', [
        event.recipes.createDeploying('kubejs:semi_assembled_frame', ['kubejs:semi_assembled_frame', 'kubejs:frame_top']),
    ]).transitionalItem('kubejs:assembled_frame').loops(1)
    
    // Netherite ingot
    event.recipes.create.mixing('minecraft:netherite_ingot', [
        'minecraft:netherite_scrap',
        'minecraft:netherite_scrap',
        'minecraft:netherite_scrap',
        'minecraft:netherite_scrap',
        'minecraft:gold_ingot',
        'minecraft:gold_ingot',
        'minecraft:gold_ingot',
        'minecraft:gold_ingot'
    ]).heated()

    //Creative Motor
    event.recipes.create.mechanical_crafting('create:creative_motor', [
        'CLC',
        'HSH',
        'LGL'],
        {
        C: 'create:cogwheel',
        L: 'create:large_cogwheel',
        H: 'create:shaft',
        S: 'atmadditions:atm_star',
        G: 'create:gearbox'
        })

    //Creative Generator
    energize(event, [
        Item.of('create:flywheel').toJson(),
        Item.of('create:furnace_engine').toJson(),
        Item.of('atmadditions:atm_star').toJson()
      ], 'createaddition:creative_energy', 2147483647)

    //Creative Blaze Cake
    event.recipes.create.mixing('create:creative_blaze_cake', [
        'createaddition:chocolate_cake',
        'atmadditions:atm_star',
        'createaddition:honey_cake'
    ]).superheated().processingTime(6000).id('kubejs:create/creative_blaze_cake')

})
